CVE-2022-39200

Improper Verification of Cryptographic Signature in go/github.com/matrix-org/dendrite

Identifiers

CVE-2022-39200, GHSA-pfw4-xjgm-267c

Package Slug

go/github.com/matrix-org/dendrite

Vulnerability

Improper Verification of Cryptographic Signature

Description

Dendrite is a Matrix homeserver written in Go. In affected versions events retrieved from a remote homeserver using the /get_missing_events path does not have their signatures verified correctly. This could potentially allow a remote homeserver to provide invalid/modified events to Dendrite via this endpoint. Note that this does not apply to events retrieved through other endpoints (e.g. /event, /state) as they have been correctly verified. Homeservers that have federation disabled are not vulnerable. The problem has been fixed in Dendrite 0.9.8. Users are advised to upgrade. There are no known workarounds for this issue.

Affected Versions

All versions before 0.9.8

Solution

Upgrade to version 0.9.8 or above.

Last Modified

2022-09-15

source